local MAJOR = "StarLibUtils-1.0" 
local MINOR = 13
local LibUtils = LibStub:NewLibrary(MAJOR, MINOR)
if not LibUtils then return end

function LibUtils:resizeText(str, size)
	if strlen(str) < size then
		for i = strlen(str), size do
			str = str .. " "
		end
	end
	return str:sub(1, size)
end

function LibUtils:replaceText(text1, pos1, text2, pos2)
	local char = text2:sub(pos2, pos2)
	
	if char == "" then char = ' ' end
	
	local left = text1:sub(1, pos1 - 1)
	local right = text1:sub(pos1 + 1)
	
	return left .. char .. right
end

function LibUtils:resizeList(tbl, size)
	if #tbl < size then
		for i = #tbl + 1, size do
			tinsert(tbl, " ")
		end
	end
end

function LibUtils:replaceTable(tbl1, pos1, tbl2, pos2)
	
end

do 
	local l
	function LibUtils:color2RGBA(ev, color, C)
	
		if (color == nil) then
			return -1;
		end
	
		if type(color) == "string" then
			l = ev.ExecuteCode(self, "color2rgba", color, false, "return 0xffffffff")
		elseif type(color) == "number" then
			l = color
		else
			return -1
		end

		if (strlen(color) == 8) then
			--/* RGBA */
			C.R = bit.band(bit.rshift(l, 24), 0xff)
			C.G = bit.band(bit.rshift(l, 16), 0xff)
			C.B = bit.band(bit.rshift(l, 8), 0xff)
			C.A = bit.band(bit.rshift(l, 0), 0xff)
		else
			--/* RGB */
			C.R = bit.band(bit.rshift(l, 16), 0xff)
			C.G = bit.band(bit.rshift(l, 8), 0xff)
			C.B = bit.band(bit.rshift(l, 0), 0xff)
			C.A = 0xff
		end
		return 0;
	end
end

function LibUtils:Memcopy(to, from, size)
	for i = 0, size - 1 do
		to[i] = from[i]
	end
end

function LibUtils:GetCoords(n, cols)				
	local col = n % cols
	local row = (n - col) / cols
	return row, col
end					
